/* **************************************************************
===================================================================
===================================================================
                                                                      
                	user.css for parent cassiopeia	                  
                                                                      
===================================================================
=================================================================== 
************************************************************** */

:root {
 --spc-blue: 		#006d91;
 --spc-paleblue:  	#e0f7ff;
 --spc-paleblue-op5:  	#e6f3f57f;
 --spc-white:		#fff;
 --spc-darkgrey:	var(--gray-700);
 --spc-gradient-dark: #006d91;
 --spc-gradient-light: #7edfff;

 --cassiopeia-color-primary: var(--spc-blue);
 --cassiopeia-color-link: var(--spc-blue);
 --cassiopeia-color-hover: #424077;
 --spc-font-serif: var(--cassiopeia-font-family-body);
      /* was: "georgia, times new roman, times, serif"; */
}

body {
  background-color: white;
}

.header, .footer, .container-header, .container-footer {
/*	background-color: var(--spc-blue); */
/*	background-image: linear-gradient(to bottom, var(--spc-paleblue), var(--spc-blue)); */
	background: linear-gradient(to bottom in hsl shorter hue, var(--spc-gradient-light) 1%, var(--spc-gradient-dark) 100%);
}	

.footer .grid-child {
    padding: 0.1rem 0.5em;
}

/* **************************************************************
===================================================================
                                                                      
               	Menu classes for font sizes and colors
                                                                      
=================================================================== 
************************************************************** */

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
    color: var(--spc-blue);
    font-family: var(--spc-font-serif);
}

h1.title {
    display: block;
    margin: 0px auto 0px auto;      /* keep the table centered */
    padding-top: 0.2rem;
    padding-bottom: 0.5rem;
    padding-right: 2rem;
    padding-left: 2rem;
    border-radius: 4px;
    text-align: center;
    background-color: var(--spc-blue);
    color: var(--spc-white);
    font-family: var(--spc-font-serif);
}

.badge-info {
    color: black;
    font-size: 1em;
}

input[class=search] {
    border-radius: 4px;
    border-color: white;
}

.spc-kill-on-small-screen {
    @media (max-width: 992px) {
        display: none;
    }
}

.spc-indent {
    margin-left: 1em;
    margin-right: 1em;
    line-height: 1.0;
    margin-bottom: 1em;
}

.spc-bolder {
    font-weight: calc(var(--body-font-weight) + 200);
}

.spc-blue {
    color: var(--spc-blue);
}

.spc-paleblue {
    color: var(--spc-paleblue);
}

.spc-white {
    color: var(--spc-white);
}

.spc-darkgrey {
    color: var(--spc-darkgrey);
}

.spc-copyright,
.spc-tiny {
    font-size: .5em;
}

.spc-bg-clear {
    background-color: transparent;
}

.spc-bg-paleblue {
    background-color: var(--spc-paleblue);
}

.spc-bg-blue {
    background-color: var(--spc-blue);
}

.spc-text-center {
    text-align: center;
}

.spc-module-card {
    background-color: var(--spc-blue);
    color: var(--spc-white);
    font-family: var(--spc-font-serif);
    text-align: center;
}

td.spc-mlabel {
  	vertical-align: top;
  	font-weight: 800;
}

td.spc-mvalue {
  	vertical-align: top;
}

/* **************************************************************
===================================================================
                                                                      
               	Menu classes for Module Displays
                                                                      
=================================================================== 
************************************************************** */

.spc-module-card2,
.spc-module-card-revtxt {
    border-color: var(--spc-blue);
    background-color: var(--spc-white);
    border-width: 2px;
    border-top: 2px;
    color: black;
    font-family: var(--spc-font-serif);
    text-align: center;
}

/*	This class replicates the formatting of .p3 to display a
 	heading in an article
*/

h3.spc-nonmodule-card,
h4.spc-nonmodule-card {
    display: block;
    margin: 0px auto 0px auto;     /* keep the table centered */
    padding-top: 0.2rem;
    padding-bottom: 0.5rem;
    padding-right: 2rem;
    padding-left: 2rem;
    border-radius: 4px;
    text-align: center;
    background-color: var(--spc-blue);
    color: var(--spc-white);
    font-family: var(--spc-font-serif);
}

h3.spc-nonmodule-card::before,
h4.spc-nonmodule-card::before,
h3.spc-nonmodule-card-revtxt::before,
h4.spc-nonmodule-card-revtxt::before {
    text-align: center;
    padding-top: 0.5rem;
    font-family: var(--spc-font-serif);
}

h4.spc-nonmodule-card,
h4.spc-nonmodule-card-revtxt {
    font-size: 1em;
}

h9.spc-nonmodule-card-revtxt {
    display: block;
    margin: 0px auto 0px auto;    /* keep the table centered */
    padding-top: 0px;
    padding-bottom: 0.5rem;
    padding-right: 2rem;
    padding-left: 2rem;
    border-radius: 4px;
    border-color: var(--spc-blue);
    background-color: var(--spc-white);
    border-width: 2px;
    border-top: 2px;
    color: black;
    font-family: var(--font-sans-serif);
    text-align: center;
}

.spc-nonmodule-card,
p.spc-nonmodule-card,
div.spc-nonmodule-card,
div.spc-nonmodule-card-revtxt,
h3.spc-nonmodule-card-revtxt {
    display: block;
    margin: 0px auto 0px auto;     /* keep the table centered */
    background-color: var(--spc-blue);
    color: var(--spc-white);
    padding-top: 0.2rem;
    padding-bottom: 0.2rem;
    padding-right: 2rem;
    padding-left: 2rem;
    border-radius: 4px;
    text-align: center;
    font-weight: var(--cassiopeia-font-weight-headings, 700);
    font-family: var(--spc-font-serif);
}

h3.spc-nonmodule-card-revtxt {
    border: 2px solid;
    border-color: var(--spc-blue);
    background-color: var(--spc-white);
    color: var(--spc-blue);
    !important;
    font-family: var(--spc-font-serif);
}

.spc-center-block {
    display: table;     /* keep the background color wrapped tight */
    margin: 0px auto 0px auto;     /* keep the table centered */
    padding-top: 0rem;
    padding-bottom: 0rem;
    padding-right: 2rem;
    padding-left: 2rem;
    text-align: center;
    background-color: var(--spc-paleblue);
}

.spc-outdent-1 {
    text-indent: -1rem;
}

.spc-pwebbox-content {
    max-width: 900px;
}

.modal-dialog {
    max-width: 900px;
}

.spc-icon-small {
    width: 15px;
    height: 10px;
}

.spc-table {
    border-spacing: 0;
    width: 100%;
    display: table;
}

.spc-table tr:last-child td:first-child,
tr:last-child,
table {
    border-bottom-left-radius: 5px;
}

.spc-table tr:last-child td:last-child,
tr:last-child,
table {
    border-bottom-right-radius: 5px;
}


.spc-table tr:first-child td:first-child,
tr:first-child,
table {
    border-top-left-radius: 5px;
}

.spc-table tr:first-child td:last-child,
tr:first-child,
table {
    border-top-right-radius: 5px;
}

div.spc-read-more-button a.spc-read-more-button {
    font-size: 14px;
    font-weight: normal;
    text-decoration: none;
    display: block;
    border: 1px solid #ccc;
    border-radius: 2px;
    background: repeat-x;
    background-position-y: 40%;
    padding: 4px;
    margin-bottom: 1px;
    line-height: normal
}

/* **************************************************************
===================================================================

                   Other Formatting Mods - cassiopeia

===================================================================
*************************************************************** */

div.breadcrumbs.card div.card-body {
    padding: 0rem;
}

@media screen and (max-width: 576px) {
    .spc-container-smy {
        display: inline;
    }

    .spc-container-mdy {
        display: none;
    }
}

@media screen and (min-width: 577px) {
    .spc-container-smy {
        display: none;
    }

    .spc-container-mdy {
        display: inline;
    }
}

/* **************************************************************
===================================================================

                   MENU Mods - cassiopeia

===================================================================
*************************************************************** */

.spc-link {
    color: var(--spc-blue);
    text-decoration: underline 7%;
    font-weight: calc(var(--body-font-weight) + 100);
}

.metismenu.mod-menu .metismenu-item {
    padding: 0.1em 0.2em 0.1em 0.3em;
}

.container-header .metismenu > li > a::after {
	opacity: .9;
}

.container-header .metismenu > li.active > a::after {
    background-color: var(--link-color);	
}

.nav-tabs {
	border-bottom: none;
}

@media (width >= 992px) {
	.container-header .metismenu > li.level-1.active > a,
	.container-header .metismenu > li.level-1.active > button, 
	.container-header .metismenu > li.level-1 > a:hover,
	.container-header .metismenu > li.level-1 > button:hover 
	{
   	 	text-decoration: none;
		color: var(--link-color);
	}
}

.spc-menu-level-1 {
    font-size: 1.1em;
    border-radius: 5px;
    font-weight: calc(var(--body-font-weight) + 150);
}

.spc-menu-level-2 {
    font-size: 1.1em;
    color: var(--spc-blue) !important;
    background-color: var(--spc-paleblue) !important;
    border-radius: 5px;
    font-weight: calc(var(--body-font-weight) + 150);
    min-width: 100%;
    padding-right: 0.5em;
    padding-left: 0.5em;
}

.spc-menu-level-3 {
    font-size: 1.1em;
    color: var(--spc-blue) !important;
    background-color: var(--spc-paleblue) !important;
    border-radius: 5px;
    font-weight: calc(var(--body-font-weight) + 150);
    min-width: 100%;
    padding-right: 0.5em;
    padding-left: 0.5em;
}

.spc-menu-level-2d {
    font-size: 1.1em;
    color: var(--spc-dev) !important;
    background-color: var(--spc-paledev) !important;
    border-radius: 5px;
    font-weight: calc(var(--body-font-weight) + 150);
    min-width: 100%;
    padding-right: 0.5em;
    padding-left: 0.5em;
}

.spc-menu-level-3d {
    font-size: 1.1em;
    color: var(--spc-dev) !important;
    background-color: var(--spc-paledev) !important;
    border-radius: 5px;
    font-weight: calc(var(--body-font-weight) + 150);
    min-width: 100%;
    padding-right: 0.5em;
    padding-left: 0.5em;
}

.mm-collapse {
    box-shadow: none !important;
    background-color: transparent !important;
}

/* **************************************************************
===================================================================

                   PREACHIT Specific Mods

===================================================================
*************************************************************** */

.listblock.piodd {
    background-color: #dddddd;
    margin: 5px 0px 0px 0px !important;
    border-radius: 5px !important;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
}

.listblock.pieven {
    background-color: #bbbbbb;
    margin: 5px 0px 0px 0px !important;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
}

.pipage {
    margin: 0 !important;
    padding: 0 !important;
}

.study_name {
  	font-size: 170% !important;
}

#audioview .study_name {
  	font-size: 170% !important;
}

textarea#jform_comment_text.form-control.inputbox,  textarea#jform_description.form-control.inputbox {
	width: 100%;
}

.spc-preachit-level-2 {
    font-size: 1em;
    color: var(--spc-blue) !important;
    background-color: var(--spc-paleblue) !important;
    border: 1px;
  	border-color: var(--spc-blue);
    border-radius: 5px;
    min-width: 100%;
  /* 
    font-weight: calc(var(--body-font-weight) + 150);
  */
}

.spc-preachit-level-2 > ul {
  	padding-left: 0;
}

.spc-preachit-level-2 > ul > li::marker	{
	content: none;
}

/* **************************************************************
                   SPC flex container
*************************************************************** */

.spc-flex-container {
  display: flex;
  background-color: val(--spc-paleblue);
}

.spc-flex-container > div, .spc-flex-container > table > tbody > tr > td {
  margin: 10px;
  padding: 20px;
}

/* **************************************************************
                   SPC Connect With Us
*************************************************************** */

.ministries-table {
  	width: 70%; 
   	margin: 2em auto 2em auto;
	border-collapse: separate; 
	border-spacing: 10px;
}

@media only screen and (max-width: 600px) {
  .ministries-table {
	width: 100%; 
  	margin: 0 auto 0 auto;
  }
  
  .ministries-td-block {
    display: block !important;
    width: 100% !important;
  }
  
  .ministries-table-td1 {
	border-top: 3px solid #0088cc !important; 
    border-right: 3px solid #0088cc !important; 
    border-left: 3px solid #0088cc !important; 
    border-radius: 5px 5px 0px 0px;
  }
    
  .ministries-table-td2 {
    border: none !important;
  }
}

.ministries-table-td1 {
	width: 30%; 
/*	border: 1px solid #ff88cc; 
	border-radius: 5px; */
  	vertical-align: top;
}

.ministries-table-td1 > img {
	max-width: 100%; 
    max-height: 100%;
	object-fit: cover !important;
  	overflow: hidden;
    text-align: center; 
  	vertical-align: top;
  	border: 1px solid #0088cc; 
	border-radius: 5px;
}

.ministries-table-td2 {
	width: 70%; 
	border-top: 3px solid #0088cc; 
  	vertical-align: top;
	
}


